Radar supports explicitly blocking and allowing attempts based on attempt attributes. You can manage these lists via the Radar list management APIs
Add an entry to a Radar list.
curl --request POST \ --url "https://api.workos.com/radar/lists/ip_address/block" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "entry": "198.51.100.42" } BODY
| curl --request POST \ | |
| --url "https://api.workos.com/radar/lists/ip_address/block" \ | |
| --header "Authorization: Bearer sk_example_123456789" \ | |
| --header "Content-Type: application/json" \ | |
| -d @- <<'BODY' | |
| { | |
| "entry": "198.51.100.42" | |
| } | |
| BODY |
POST/radar /lists /:type /:actionParameters Returns Remove an entry from a Radar list.
curl --request DELETE \ --url "https://api.workos.com/radar/lists/ip_address/block" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "entry": "198.51.100.42" } BODY
| curl --request DELETE \ | |
| --url "https://api.workos.com/radar/lists/ip_address/block" \ | |
| --header "Authorization: Bearer sk_example_123456789" \ | |
| --header "Content-Type: application/json" \ | |
| -d @- <<'BODY' | |
| { | |
| "entry": "198.51.100.42" | |
| } | |
| BODY |
DELETE/radar /lists /:type /:actionParameters Returns